# Locations

Search for locations by text for contact filtering

Endpoint: POST /prospecting/filters/contacts/locations
Security: ApiKeyAuth

## Request fields (application/json):

  - `text` (string, required)
    Search text for location
    Example: "un"

## Response 200 fields (application/json):

  - `continent` (string)
    Example: "North America"

  - `country` (string)
    Example: "United States"

  - `city` (string)
    Example: "New York"

  - `state` (string)
    Example: "New York"

  - `country_grouping` (string)
    Example: "na"

## Response 401 fields (application/json):

  - `statusCode` (integer, required)
    HTTP status code
    Example: 400

  - `message` (string, required)
    Error message
    Example: "Validation failed"

  - `errors` (array)
    Detailed error messages (optional, only for validation errors)
    Example: ["entityType must be one of: contact, company"]


